<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class EquipWork extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $guarded = [];

    public function equip()
    {
        return $this->belongsTo(Equip::class);
    }

    public function lands()
    {
        return $this->belongsToMany(Land::class);
    }
}
